<?php 
if(!defined('IN_DEMOSOSO')) {
	exit('this is wrong page,please back to homepage');
}
$page=0;
$type = @htmlentitdm($_GET['type']); 
$maincate = @htmlentitdm($_GET['maincate']);
$v = @htmlentitdm($_GET['v']);
$test = @htmlentitdm($_GET['test']);
$page = @htmlentitdm($_GET['page']);
$maxline = @htmlentitdm($_GET['maxline']);
$callback = @htmlentitdm($_GET['callback']);


if($page==0) $page=1;

 function api_jsonp_encode($json)
    {  global $callback;
        if (!empty($callback)) {
            return $callback . '(' . $json . ')'; // jsonp
        }
        return $json; // json
	}
	
 
 $file =  WEB_ROOT.'api/apihtml/'.$type.'.php';
 
if(is_file($file)) require $file;
else {
    echo 'dm api file not exist...';
    exit;
}
?>